matrix:
  platform:
  - debian10
  - ubuntu2004
  - macos
  - macos_arm64
  bazel:
  - 9.x
  - 8.x
  - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--cxxopt=-std=c++17"
      - "--host_cxxopt=-std=c++17"
    build_targets:
      - '@jsonnet//cmd:jsonnet'
      - '@jsonnet//cmd:jsonnetfmt'
      - '@jsonnet//core:libjsonnet'
      - '@jsonnet//cpp:libjsonnet++'
bcr_test_module:
  module_path: examples/bazel
  matrix:
    platform:
    - debian10
    - ubuntu2004
    - macos
    - macos_arm64
    bazel:
    - 9.x
    - 8.x
    - 7.x
  tasks:
    run_test_module:
      name: Build example module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - "--cxxopt=-std=c++17"
        - "--host_cxxopt=-std=c++17"
      build_targets:
        - '//:use_cpp_lib'
        - '//:use_c_lib'
        - '//:use_jsonnet_cmd'
